/**
 * $Id: GuardedBy.java,v 1.3 2009/03/24 08:38:26 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 16.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

import java.lang.annotation.*;

/**
 * @deprecated moved to patterntesting.annotation.concurrent
 * @see patterntesting.annotation.concurrent.GuardedBy
 * @see http://www.jcip.net/annotations/doc/net/jcip/annotations/GuardedBy.html
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 16.01.2009
 * @version $Revision: 1.3 $
 */
@Documented 
@Target({ElementType.FIELD, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface GuardedBy {
    String value() default "this";
}

/**
 * $Log: GuardedBy.java,v $
 * Revision 1.3  2009/03/24 08:38:26  oboehm
 * concurrent package moved to patterntesting-concurrent
 *
 * Revision 1.2  2009/02/19 12:33:08  oboehm
 * OnlyForTesting support added
 *
 * Revision 1.1  2009/01/16 22:02:14  oboehm
 * dependency to net.jcip removed
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/annotation/GuardedBy.java,v $
 */
